Skip to content

Contact Match API [Starter]

Match a person name to contact profiles. Returns ranked candidates with match scores.

GET https://api.discolike.com/v1/contacts/match
ParameterDescription
namePerson name to search for (required, minimum 2 characters).
company_nameCompany name to narrow search (optional).
domainDomain to filter by (optional).
person_countryPerson’s country code to filter by (optional).
limitMaximum results to return, range 1-20 (optional, defaults to 10).
Terminal window
curl "https://api.discolike.com/v1/contacts/match?name=John%20Smith&company_name=Acme%20Corp&limit=5" \
-H "x-discolike-key: API_KEY"
{
"query": {
"name": "Jane Doe",
"company_name": "Acme Corp",
"domain": null
},
"matches": [
{
"persona_id": 12345678,
"name": "Jane Doe",
"title": "VP of Sales",
"domain": "acmecorp.com",
"company_name": "Acme Corporation",
"match_score": 95.2
}
]
}